summaryrefslogtreecommitdiff
path: root/extras/mkpdf.sh
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2011-12-03 18:18:12 +0000
committerNick White <git@njw.me.uk>2011-12-03 18:18:12 +0000
commit9239c8747aa79b95ae87b61b5758d089040d0616 (patch)
treeb037a36a58c38f278a1bfd57938b48e61276a04a /extras/mkpdf.sh
parentaa4c9f8df45a9a6881e0a90e50a7f1359ac5d1e1 (diff)
Have extras scripts take jpgs into account, and change their usage slightly
Diffstat (limited to 'extras/mkpdf.sh')
-rwxr-xr-xextras/mkpdf.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/extras/mkpdf.sh b/extras/mkpdf.sh
index cbfcd1b..a2ba2c7 100755
--- a/extras/mkpdf.sh
+++ b/extras/mkpdf.sh
@@ -3,4 +3,7 @@
#
# Requires imagemagick
-convert *.png book.pdf
+test $# -ne 1 && echo "Usage: $0 bookdir" && exit 1
+
+cd "$1" && convert * book.pdf
+echo "$1/book.pdf"